<%@ LANGUAGE="VBSCRIPT"%>
<%OPTION EXPLICIT%>
<%Response.Buffer = True%>
<!-- #INCLUDE FILE="config.inc" -->
<!--#include file="adovbs.inc"-->
<%

'*** Dimension all the variables.
Dim ViewLast, Showing
Dim objRec
Dim strSQL
Dim LastHere

'Variables used for paging.
Dim intCurrentPage, intCount
		
	'*** Open the database.
	
	Set objConn = Server.CreateObject ("ADODB.Connection")
	Set objRec = Server.CreateObject ("ADODB.Recordset")
	
	objConn.Open strconnect
	
	'*** The table headings, Topic, Author and so on can be used to order the messages (much like an email program) this is the code that does it.
	
	If Request.QueryString("orderby") <> "" then
		Session("OrderBy") = Request.QueryString("orderby")
	End If
	
	Select Case Session("Orderby")
	Case "Topic"
		objRec.Sort = "MessageTitle ASC"
	Case "Author"
		objRec.Sort = "MessageAuthor ASC"
	Case "Last+Post"
		objRec.Sort = "LastPost DESC"
	Case "Replies"
		objRec.Sort = "Replies DESC"
	Case Else
		objRec.Sort = "LastPost DESC"
		Session("OrderBy") = "Last Post"
	End Select
	
	objRec.cursorlocation=aduseclient
	
	StrSQL = "SELECT * FROM messages"

	If Request.Form("cboSearchType") = "Message Topics" OR Request.Form("cboSearchType") = "Message Authors" Then 
		Session("txtSearchString") = Request.Form("txtSearchString")
		Session("cboSearchType") = Request.Form("cboSearchType")
	End If

	If Session("cboSearchType") = "Message Authors" Then
		StrSQL = StrSQL & " WHERE MessageAuthor LIKE '%" & Session("txtSearchString") & "%'"
	End If
	
	If Session("cboSearchType") = "Message Topics" Then
		StrSQL = StrSQL & " WHERE MessageTitle LIKE '%" & Session("txtSearchString") & "%'"
	End If

	objRec.Open strSQL, objConn, adOpenStatic, adLockReadOnly, adCmdText
		
	'*** Function to compare the date of the users last visit with the date of the last post.
	Function NewMessages(lpost)
		If datediff("s", LastHere, lpost) > 1 then
			NewMessages = MBImgNewMessage
		Else
			NewMessages =  MBImgOldMessage
		End If
	End Function

'*** Find out when the user was last here so that new messages can be highlighted.
LastHere = Request.Cookies("aspmbuser")("Date")
Response.Cookies("aspmbuser")("Date") = now()
Response.Cookies("aspmbuser").Expires = Date + 30

'*** If they haven't been here before set the LastHere variable to a value that will highlight all messages as being new.
if LastHere = "" then
	LastHere = dateadd("d",-10,now())
End if

'*** Has the user just asked to view the messages updated in a certain time period? See select form field.
If NOT Request.Form("days") = "" then
	ViewLast = Request.Form("days")
	'*** Write this value to the cookie so that next time the reload the page it will remain the same.
	Response.Cookies("aspmbuser")("ViewLast") = Request.Form("days")
'*** If they haven't asked for a new time filter.
Else
	'*** If there is no value in the cookie, show them all the messages for the last two days.
	If Request.Cookies("aspmbuser")("ViewLast") = "" then
		ViewLast = -1
	'*** Otherwise take the value from the cookie.
	Else
		ViewLast = Request.Cookies("aspmbuser")("ViewLast")
	End If	
End If

Showing = ViewLast

If Session("cboSearchType") = "" then
	If NOT ViewLast = "ALL" then
		'***  Subtract ViewLast amount of days from the current date.
		ViewLast = DateAdd("d",ViewLast, Date())
		'*** Create a record set with only the fields from the last x days.
		objRec.Filter = "LastPost >= #" & ViewLast & "#"
	End If
End If

%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>

<head>
<!-- The title is held in a constant found in config.inc. Change it once and it will change throughout the board. Clever that. -->
<title><%=MBTitle%></title>
</head>
<%
	'*** Print out the Body tag. Also a constant found in the config.inc file.
	Response.Write MBPageBody2
	
%>
<p align="center">
<%=MBImgLogo%><br>
<!--
The following line prints out the 'Message Board Developed by yMonda Limited'
The message board has taken a lot of hard work to develop. It's only because of 
this that we can justify giving the source away for free.
-->

<%=PrintCredit%></p>

<!-- Print the font tag. Defined in the config.inc file. -->
<!--#include file="header.inc"-->

<%=FONT1%>

<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td align="left" valign="top"><a href="addnew.asp?messagetype=n"><%=MBImgAddNew%></a></td>
    <td align="right" valign="top"><form action="default.asp" method="post">
      <input type="hidden" name="cookie" value="true"><p><select NAME="Days" size="1">
	  	
        <%If showing <> "-0" then%><option value="-0">Show topics updated today</option><%End If%>
        <%If showing <> "-1" then%><option value="-1">Show topics updated in the last 2 days </option><%End If%>
        <%If showing <> "-4" then%><option value="-4">Show topics updated in the last 5 days </option><%End If%>
        <%If showing <> "-9" then%><option  value="-9">Show topics updated in the last 10 days </option><%End If%>
        <%If showing <> "-29" then%><option  value="-29">Show topics updated in the last 30 days </option><%End If%>
        <%If showing <> "-99" then%><option value="-99">Show topics updated in the last 100 days </option><%End If%>
        <%If showing <> "ALL" then%><option value="ALL">Show ALL topics </option><%End If%>
      </select><input type="submit" value="List Topics"></p>
    </form>
    </td>
  </tr>
</table>
<%

'*** The code above makes sure that the correct item in the drop-down box is highlighted. I'm certain that this was poor coding but it worked.

'*** The sectio below prints the heading for the topics table. Notice the link URLs to order it. See above. Images are defined in the config.inc file.
%>

<table border="0" width="100%" cellpadding="2" bgcolor="<%=MBTopicsTBLColour%>">
  <tr>
    <td bgcolor="<%=MBTopicsTRFDColour%>">&nbsp;</td>
    <td width="53%" bgcolor="<%=MBTopicsTRFDColour%>"><a
    href="default.asp?orderby=Topic"><%=MBImgTopic%></a></td>
    <td width="20%" bgcolor="<%=MBTopicsTRFDColour%>"><a
    href="default.asp?orderby=Author"><%=MBImgAuthor%></a></td>
    <td width="18%" bgcolor="<%=MBTopicsTRFDColour%>" align="center"><a
    href="default.asp?orderby=Last+Post"><%=MBImgLastPost%></td>
    <td bgcolor="<%=MBTopicsTRFDColour%>" align="center" width="8%"><p align="center"></a><a
    href="default.asp?orderby=Replies"><%=MBImgReplies%></td>
  </tr>
<%
On Error Resume Next

If Request.QueryString("page") = "" Then
	intCurrentPage = 1
Else
	intCurrentPage = CInt(Request.QueryString("page"))
End If

objRec.PageSize = 20

If objRec.PageCount > 0 then
	objRec.AbsolutePage = intCurrentPage
Else
	intCurrentPage = 0
End If

Session("CurrentPage") = intCurrentPage

Do While objRec.AbsolutePage = intCurrentPage And Not objRec.EOF
%>
  <tr>
    <td align="center" bgcolor="<%=MBTopicsFDColour%>"><%=NewMessages(objRec("LastPost"))%>
</td>
    <td bgcolor="<%=MBTopicsFDColour%>"><%=FONT1%>
<p></a><a
    href="treplies.asp?message=<%=objRec("MessageID")%>"><%=objRec("MessageTitle")%></a></td>
    <td bgcolor="<%=MBTopicsFDColour%>"><%=FONT1 & objRec("MessageAuthor")%>
</td>
    <td align="center" bgcolor="<%=MBTopicsFDColour%>"><%=FONT1 & objRec("LastPost")%>
</td>
    <td align="center" bgcolor="<%=MBTopicsFDColour%>" width="8%"><%=FONT1 & objRec("Replies")%>
</td>
  </tr>
  
<%

objRec.MoveNext
Loop

'*** Yeah. It's the end of the table.
Response.Write "</table>"

Response.Write "<p align=center>"

If objRec.PageCount > 1 then

'Print Previous Page if required
If intCurrentPage <> 1 then
	Response.Write "<a href=""default.asp?page=" & intCurrentPage - 1 & """>Previous Page</a>"
Else
	Response.Write "Previous Page"
End If

'Print direct access page numbers.
For intCount = 1 to objRec.PageCount
	
	If intCount = 1 then
		Response.Write " | "
	End If
	
	If intCount = intCurrentPage then
		Response.Write intCount & " | "
	Else
		Response.Write "<a href=""default.asp?page=" & intCount & """>" & intCount & "</a> | "
	End If
	
Next

'Print Next Page if required
If intCurrentPage <> objRec.PageCount then
	Response.Write "<a href=""default.asp?page=" & intCurrentPage + 1 & """>Next Page</a>"
Else
	Response.Write "Next Page"
End If

End If

Response.Write "<br><br>Page " & intCurrentPage & " of " & objRec.PageCount & _
" | Ordered By: " & Session("orderby") & " | "

Select Case Showing

Case "-0"
	Response.Write "Showing topics updated today."
Case "-1"
	Response.Write "Showing topics updated in the last 2 days."
Case "-4"
	Response.Write "Showing topics updated in the last 5 days."
Case "-9"
	Response.Write "Showing topics updated in the last 10 days."
Case "-29"
	Response.Write "Showing topics updated in the last 30 days."
Case "-99"
	Response.Write "Showing topics updated in the last 100 days."
Case "ALL"
	Response.Write "Showing all topics."
	
End Select

If NOT Session("cboSearchType") = "" Then
Response.Write "<br><br>Searched For: " & Session("txtSearchString") & "<br>On: " & Session("cboSearchType") & "<br>"
Response.Write "<a href=""clearsearch.asp"">Remove Search Filter</a>"
End If
		
Response.Write "</p>"	

	'*** Have a tidy. Don't want any of those nast memory leaks.
	objRec.Close
	objConn.Close
	Set objRec = Nothing
	Set objConn = Nothing
	
%>
<!-- Put the stuff you want to appear at the bottom in this file. Keeps it neat(er)-->
<%'<!--#include file="footer.inc"-->
%>
 <!-- Thread-IT v1.4 developed by yMonda Limited 1999 -->
</body>
</html>
